body {
  margin: 0;
  padding: 0;
  font-family: Arial;

  /* user-select: none; */
}

:root{
  /* --color-siderbar: #010219fb; */
  --color-font: #b9bec3;
  --color-title: #151414;
  --color-desc: #777;
  --color-icon: #555;
  --color-info: #333;
  --color-header: #b7d3ef;
  --gradient-sidebar: linear-gradient(180deg, #0b1220 0%, #132238 35%, #1b3c73 70%, #2563eb 100%);
  --color-sidebar:  linear-gradient(135deg, #1e3a8a, #2563eb, #60a5fa);
  --gradient-lista: linear-gradient(90deg, #2563eb, #4f46e5);;
  --color-logout: linear-gradient(135deg, #0f172a, #1e3a8a, #1e50bc);
  --color-btn: #4f46e5;
  --color-modal: rgba(0,0,0,0.6);
  --color-header-modal:#1e1e2f;
  --sidebar-bg: #141D36;
  --sidebar-hover: #202B4F;
  --sidebar-active: linear-gradient(90deg,#3D5AFE,#5B3DF5);
  --sidebar-border: rgba(255,255,255,.08);
  --sidebar-text: #C8D0E0;
  --sidebar-text-active: #FFFFFF;
}

.layout {
  display: flex;
  height: 100vh;
  overflow: hidden;
}

.sidebar.collapsed {
  width: 40px;
}
.sidebar.collapsed .brand-name,
.sidebar.collapsed .subname,
.sidebar.collapsed li,
.sidebar.collapsed h3 { 
  font-size: 0;
}
.sidebar.collapsed li i {
  font-size: 15px;
}
.sidebar.collapsed li {
  display: flex;
  justify-content: center;
}
.sidebar.collapsed .btn_logout {
  font-size: 0;
}
.sidebar.collapsed .btn_logout i {
  font-size: 15px;
}
.sidebar.collapsed .card_logo {
  justify-content: center;
  width: 35px;
  align-items: center;
}
.sidebar.collapsed .card_logo img{
  width: 35px;
  height: auto;
}
.sidebar.collapsed .logo-text {
  display: none;
}
.sidebar.collapsed:hover {
  width: 140px; 
}
.sidebar.collapsed:hover li {
  font-size: 13px;
  justify-content: flex-start;
}
.sidebar.collapsed:hover h3 {
  font-size: 12px;
}
.sidebar.collapsed:hover .logo-text {
  display: flex;
}
.sidebar.collapsed:hover .card_logo {
  justify-content: flex-start;
  width: 130px;
  margin: 15px auto;
}
.sidebar.collapsed:hover .card_logo img{
  width: 35%;
  height: auto;
}

.sidebar.collapsed:hover .brand-name {
  font-size: 13px;
}
.sidebar.collapsed:hover .subname {
  font-size: 11px;
}
.sidebar.collapsed:hover .btn_logout {
  font-size: 14px;
}
.sidebar {
  width: 140px;
  width:140px;
  background:#141D36;
  color:var(--sidebar-text);
  border-right:1px solid var(--sidebar-border);
  padding: 6px 10px;
  transition: all 0.3s ease;
  overflow: hidden;
  flex-shrink: 0;
  z-index: 2000;
}
.card_logo{
  display: flex;
  background:#1D294A;
  border:1px solid rgba(255,255,255,.08);
  border-radius:14px;
  padding: 5px;
  border-radius: 10px;
  width: 130px;
  margin: 15px auto;
}
.card_logo img {
  width: 35%;
  height: auto;
  margin-right: 3px;
}
.logo-text {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.brand-name {
  font-size: 13px;
  font-weight: bold;
  color: #fff;
}
.subname {
  font-size: 11px;
  margin-top: 3px;
  background-color: #fff;
  padding: 1px 8px;
  border-radius: 5px;
  color: #000;
  font-weight: bold;
}

.sidebar ul {
  list-style: none;
  padding: 0;
}

.sidebar li {
  padding: 10px;
  cursor: pointer;
  font-size: 13px;
  border-radius: 8px;
  color:var(--sidebar-text);
}
.sidebar i{
  margin-right: 10px;
  font-size: 15px;
}
.sidebar li:hover {
    background: var(--gradient-lista);
    box-shadow: 0 4px 14px rgba(37, 99, 235, 0.4);
    transform: translateY(-1px);
}

.sidebar h3{
  font-size: 12px;
  margin: 0;
  padding: 0;
}

.btn_logout{
  background: var(--color-logout);
  margin-top: 20px;
  width: 100%;
  color: white;
  border: none;
  border-radius: 8px;
  padding: 10px 16px;
  font-size: 14px;
  font-weight: 500;
  cursor: pointer;
  transition: all 0.3s ease;
}
.btn_logout:hover{
  background: linear-gradient(135deg, #1e3a8a, #2563eb, #60a5fa);
  box-shadow: 0 4px 14px rgba(37, 99, 235, 0.4);
}

#sidebarToggle{
  background: none;
  border: none;
  color: var(--color-btn);
  font-size: 24px;
  cursor: pointer;
}
#sidebarOverlay{
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.45);
    backdrop-filter: blur(2px);

    opacity: 0;
    visibility: hidden;

    transition: .25s;

    z-index: 1500;
}

#sidebarOverlay.show{
    opacity: 1;
    visibility: visible;
}



/* ESTILO DO HEADER */
.main {
  flex: 1;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  width: 100%;
}
.header  {
  background: var(--color-header);
  padding: 0;
  display: flex;
  align-items: center;
  height: 60px;
  position: sticky;
  top: 0;
  z-index: 1000;
  backdrop-filter: blur(6px);
}
.content_header{
  flex: 1;
  padding: 0 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header h3{
  font-size: 1.7rem;
  color: var(--color-title);
}
.titulo-area {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
#tituloPagina{
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-style:italic;
}
.descricao {
  font-size: 0.9rem;
  color: var(--color-desc);
}

.header-direita {
  display: flex;
  align-items: center;
  gap: 15px;
}
.hotel-info{
  display: flex;
  justify-content: center;
}
.acoes-header i {
  font-size: 1.1rem;
  cursor: pointer;
  color: var(--color-icon);
  transition: 0.2s;
}
.acoes-header i:hover {
  color: #000;
}
.usuario {
  display: flex;
  align-items: center;
  gap: 10px;
}
.foto-usuario {
  width: 42px;
  height: 42px;
  border-radius: 50%;
  padding: 2px;
  background: var(--gradient-sidebar);
  object-fit: cover;
}

.info-usuario {
  display: flex;
  flex-direction: column;
}
#nomeUsuario {
  font-weight: 600;
  color: var(--color-info);
}
#tipoUsuario {
  color: var(--color-icon);
}
.acoes-header {
  display: flex;
  gap: 12px;
  margin-left: 5px;
}
.divisor_header {
  width: 2px;
  height: 28px;
  background: #9e9c9c;
}
.hotel-nome {
  font-weight: 600;
  color: var(--color-info);
  white-space: nowrap;
  font-size: 1.3rem;
  margin-right: 8px;
}


#app {
  padding:0  20px;
  margin-bottom: 10px;
  overflow-y: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}
#app::-webkit-scrollbar {
  display: none;
}

/* ESTILO BTN GLOBAL*/
.btn-primary {
  background: #fff;
  color: #0774e7;
  border-radius: 1.7rem;
  border: 0.125rem solid #0774e7;
  padding: 0.50rem 1.3rem;
  border-radius: 6px;
  cursor: pointer;
  font-size: 14px;
  transition: all 0.5s ease;
}

.btn-primary:hover {
  background: #0774e7;
  color: #fff;
}
.btn-secondary {
  background: #e5e7eb;
  color: #374151;
  padding: 0.50rem 1.3rem;
  border-radius: 6px;
  transition: all 0.5s ease;
}
.btn-secondary:hover {
  background: #b0b2b4;
}


/* ============MENU SESÕES============ */
.menu-utilitarios, .tabs-hospedagem {
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
  flex-wrap: wrap;
}
.tab-util, .tab-btn {
  border: none;
  background: #e5e7eb;
  padding: 10px 16px;
  border-radius: 8px;
  cursor: pointer;
  transition: .2s;
  font-weight: 600;
}
.tab-util:hover {
  background: #d1d5db;
}
.tab-util.active, .tab-btn.ativo {
  background: #3b82f6;
  color: white;
}
.sessao-util, .sessao-hospedagem {
  display: none;
}
.sessao-util.active, .sessao-hospedagem.ativa {
  display: block;
}



/* ESTILO GLOBAL MODAIS E FORMULARIOS */
form{
  overflow-y: auto;
  flex: 1;
}
form::-webkit-scrollbar {
  width: 6px;
}

form::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 10px;
}
.modal {
  display: none;
  position: fixed;
  z-index: 999;
  inset: 0;
  background: var(--color-modal);
  margin-top: 60px;
}
.modal-header {
  display: flex;
  justify-content: space-between;
  padding: 15px;
  background:var(--color-header-modal);
  color: #fff;
  flex-shrink: 0;
}
.modal-content {
  background: #fff;
  width: 90%;
  max-width: 900px;
  margin: 10px auto;
  border-radius: 12px;
  overflow: hidden;
  animation: aparecer 0.3s ease;
  max-height: 85vh;      /* limita altura */
  display: flex;
  flex-direction: column;
}
.modal-xl{
  max-width: 1000px;
  width: 95%;
}
.modal-footer {
  display: flex;
  justify-content: flex-end;
  padding: 15px;
  gap: 10px;
  flex-shrink: 0;
}

.close {
  cursor: pointer;
  font-size: 29px;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 10px;
  padding: 15px;
  justify-content: center;
}

/* blocos */
.bloco {
  background: #dedfdfce;
  padding: 5px;
  border-radius: 8px;
}
.bloco h3{
  font-size:17px ;
  margin: 3px;
}
.bloco input, .bloco select {
  width: 90%;
  margin-bottom: 8px;
  padding: 6px;
  border-radius: 5px;
  border: solid 1px #8d8d8d;
  outline: none;
  transition: 0.3s;
}
.bloco input:focus{
  border-color: #1445a67c;
  box-shadow: 0 0 5px #006aff73;
}

.bloco small{
  font-weight: 600;

}





/* ESTILO FILTRO / PESQUISA */
.filtros {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
  justify-content: space-between;
  align-items: center;
  background: #ffffff;
  padding: 12px;
  border-radius: 10px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
  backdrop-filter: blur(6px);
}
.filtros input,
.filtros select {
  padding: 0.60rem 1.3rem;
  border-radius: 6px;
  border: 1px solid #d1d5db;
  font-size: 14px;
  outline: none;
  transition: all 0.2s ease;
  background: #f9fafb;
}
.filtros input:hover,
.filtros select:hover {
  border-color: #9ca3af;
}
.filtros input:focus,
.filtros select:focus {
  border-color: #3b82f6;
  background: #fff;
  box-shadow: 0 0 0 2px rgba(59, 130, 246, 0.15);
}

#filtroLocalizacao {
  max-width: 130px;
}
#buscaCliente,
#buscaHospedagem,
#buscaProduto,
#buscaServico{
  width: 25%;
}
#busca {
  min-width: 220px;
}




/* ESTILO DAS TABELAS TABELA */
.table-container {
  background: #fff;
  border-radius: 12px;
  padding: 10px;
  box-shadow: 0 5px 20px rgba(0,0,0,0.05);
}

.tabela-quartos {
  width: 100%;
  border-collapse: collapse;
}

.tabela-quartos th {
  text-align: left;
  padding: 12px;
  font-size: 12px;
  color: #9b9999;
}

.tabela-quartos td {
  padding: 6px;
  border-top: 1px solid #c8c7c7;
  font-size: 14px;
}
.tabela-quartos tbody tr:nth-child(even) {
  background: #f8fafc;
}

.tabela-quartos tr:hover {
  background: #f1f5f9;
}
/* ESTILO DO DROPDOWN E PAGINAÇÃO  */
.dropdown {
  position: relative;

}
.dropdown-btn {
  background: none;
  border: none;
  font-size: 20px;
  cursor: pointer;
}
.dropdown-menu {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background: white;
  min-width: 160px;
  box-shadow: 0 2px 8px rgba(0,0,0,0.15);
  border-radius: 8px;
  z-index: 998;
}

/* js */
.dropdown.open .dropdown-menu {
  display: block;
}

/* abre para cima */
.dropdown.dropup .dropdown-menu {
  top: auto;
  bottom: 100%;
  margin-bottom: 5px;
}
.dropdown-menu button {
  width: 100%;
  border: none;
  background: none;
  padding: 10px;
  text-align: left;
  cursor: pointer;
}
.dropdown-menu button:hover {
  background: #f5f5f5;
}
.dropdown.open .dropdown-menu {
  display: block;
}
.paginacao {
  margin-top: 15px;
  display: flex;
  gap: 5px;
  flex-wrap: wrap;
}
.paginacao button {
  padding: 5px 10px;
  border: none;
  background: #eee;
  cursor: pointer;
  border-radius: 5px;
}
.paginacao button.ativo {
  background: #007bff;
  color: white;
}
.paginacao button:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}

/* ESTILO DE STATUS DA TABELA  */
.badge {
  padding: 6px 10px;
  border-radius: 8px;
  font-size: 12px;
  font-weight: bold;
}

.badge.verde {
  background: #d1fae5;
  color: #065f46;
}

.badge.vermelho {
  background: #fee2e2;
  color: #991b1b;
}

.badge.amarelo {
  background: #fef3c7;
  color: #92400e;
}
.badge.azul {
  background: #87afef9b;
  color: #0125d6;
}
.badge.violeta {
  background: rgba(168,85,247,.12);
  color: #9333ea;
}



/* =====ESTILO QUARTOS======= */
/* =====ESTILO QUARTOS======= */
.quarto-label{
    height:100%;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    font-weight:bold;
    color:#333;
    border-right:1px solid #ddd;
}


.quarto-label small{
    font-size:11px;
    font-weight:normal;
}



/* CORES POR LOCALIZAÇÃO */
.local-anexo1{
    background:#93c5fd !important;
}


.local-anexo2{
    background:#86efac !important;
}


.local-anexo3{
    background:#fde68a !important;
}


.local-default{
    background:#d1d5db !important;
}
/*  */
.card-historico {
  padding: 10px;
  border-radius: 8px;
  background: #f5f5f5;
  margin-bottom: 10px;
    border-left: 4px solid #87afef9b;
}
/* DASHBOARD */
.cards-dashboard {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 15px;
  margin-bottom: 20px;
}

.card_totals_rooms {
  max-width: 200px;
  padding: 10px 18px;
  border-radius: 10px;
  box-shadow: 0 5px 20px rgba(0,0,0,0.05);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.card_info_rooms {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.card_totals_rooms h4 {
  margin: 0;
  font-size: 15px;
  color: #777;
}

.card_totals_rooms span {
  font-size: 20px;
  font-weight: bold;
}

.card_totals_rooms i {
  font-size: 25px;
  background: #f5f5f5;
  padding: 8px 10px;
  border-radius: 8px;
}

/* CORES DOS CARDS */
.card_totals_rooms:nth-child(1) {
  border-left: 5px solid #3b82f6;
  background: rgba(59, 130, 246, 0.08);
  box-shadow: 0 4px 12px rgba(59, 130, 246, 0.25);
}
.card_totals_rooms:nth-child(1) i {
  color: #3b82f6;
}
.card_totals_rooms:nth-child(2) {
  border-left: 5px solid #22c55e;
  background: rgba(34, 197, 94, 0.08);
  box-shadow: 0 4px 12px rgba(34, 197, 94, 0.25);
}
.card_totals_rooms:nth-child(2) i {
  color: #22c55e;
}

.card_totals_rooms:nth-child(3) {
  border-left: 5px solid #991b1b;
  background: rgba(153, 27, 27, 0.08);
  box-shadow: 0 4px 12px rgba(153, 27, 27, 0.25);
}
.card_totals_rooms:nth-child(3) i {
  color: #991b1b;
}

.card_totals_rooms:nth-child(4) {
  border-left: 5px solid #f59e0b;
  background: rgba(245, 158, 11, 0.08);
  box-shadow: 0 4px 12px rgba(245, 158, 11, 0.25);
}
.card_totals_rooms:nth-child(4) i {
  color: #f59e0b;
}

.modalStatus {
  display: none;
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.5);
}

.contentStatus{
  background: #fff;
  padding: 20px;
  border-radius: 10px;
  width: 320px;
  margin: 10% auto;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.btnStatus {
  display: flex;
  gap: 10px;
  justify-content: flex-end;
}

.btnStatus button {
  padding: 8px 12px;
  border: none;
  border-radius: 6px;
  cursor: pointer;
}

.btnStatus .btn-cancelar {
  background: #ccc;
}

.btnStatus button:first-child {
  background: #28a745;
  color: white;
}

.autocomplete{
    position:relative;
    width:100%;
}

.autocomplete-list{

    position:absolute;
    top:100%;
    left:0;
    right:0;

    background:#fff;

    border:1px solid #ccc;

    border-radius:6px;

    max-height:250px;

    overflow-y:auto;

    display:none;

    z-index:99999;

    box-shadow:0 5px 15px rgba(0,0,0,.15);

}

.autocomplete-item{

    padding:10px 12px;

    cursor:pointer;

    border-bottom:1px solid #eee;

}

.autocomplete-item:hover{

    background:#f5f5f5;

}
/* =========================
   LAYOUT CONSUMOS
========================= */
 #totalConsumosHospedagem {
  font-size: 18px;
  color: #0077e7;
  font-weight: 600;
  background: #cee7ffd1;
  padding: 8px 15px;
  border-radius: 8px;
 }
.consumo-layout {
  display: grid;
  grid-template-columns: 230px 1fr;
  gap: 15px;
  align-items: start;
  margin-top: 15px;
}
.consumo-info {
  background: #ffffff;
  border: 1px solid #e5e7eb;
  border-radius: 18px;
  padding: 20px;
  box-shadow: 0 4px 18px rgba(0,0,0,0.05);
  position: sticky;
  top: 20px;
  margin-left: 10px;
}
.consumo-info h3 {
  font-size: 18px;
  font-weight: 700;
  color: #111827;
  margin-bottom: 18px;
}
.consumo-info p {
  display: flex;
  flex-direction: column;
  
  margin-bottom: 16px;
}
.consumo-info strong {
  font-size: 13px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  color: #6b7280;
}
.consumo-info span {
  font-size: 15px;
  font-weight: 600;
  color: #111827;
}

.consumo-tabela {
  min-width: 0;
  padding:  10px;
}
@media (max-width: 900px) {
  .consumo-layout {
    grid-template-columns: 1fr;
  }
  .consumo-info {
    position: relative;
    top: 0;
  }
}

/* ================ MAPA RESERVAS======================= */
.celula-dia.manutencao{
    background: repeating-linear-gradient(
        45deg,
        #f5b7b7,
        #f5b7b7 8px,
        #ffffff 8px,
        #ffffff 16px
    );
}

.celula-dia.manutencao:hover{
    background:#f6bb08;
}
#mapaReservas{
  width:100%;
  border-radius:12px;
  background:#fff;
  border:1px solid #9fbdf7;
  overflow:hidden;
  scroll-behavior:smooth;
}
/* GRID */
.mapa-grid{
  position:relative;
  min-width:max-content;
  background:#fff;
}
.mapa-header{
  display:flex;
  position:sticky;
  top:0;
  z-index:150;
  background:#fff;
  border-bottom:1px solid #dbe3ea;
}
.coluna-quartos-header{
  z-index:150;
}
.coluna-quartos-header,
.quarto-label{
  width:110px;
  min-width:110px;
  max-width:110px;
  background:#fff;
  border-right:1px solid #e5e7eb;
  display:flex;
  align-items:center;
  justify-content:center;
  font-weight:600;
  font-size:13px;
  color:#111827;
  position:sticky;
  left:0;
}
.quarto-label{
  position:sticky;
  height:36px;
  z-index:100;
  flex-shrink:0;
  border-right:1px solid #70acf0;
  border-bottom:1px solid #70acf0;
  box-shadow:4px 0 8px rgba(0,0,0,.04);
}
.dias-header{
  display:flex;
}
.dia-header{
  width:90px;
  min-width:90px;
  height:36px;
  border-right:1px solid #638dbd;
  border-bottom:1px solid #dbe4ee;
  display:flex;
  flex-direction:column;
  align-items:center;
  justify-content:center;
  font-size:11px;
  color:#6b7280;
  background:#fff;
}

.dia-header .numero{
  font-size:16px;
  font-weight:700;
  color:#111827;
}

.dia-header.hoje{
  background:#eff6ff;
}

.dia-header.hoje .numero{
  color:#2563eb;
}
.linha-mapa{
  display:flex;
  position:relative;
  border-bottom:1px solid #093466;
  min-width:max-content;
}
.linha-mapa:not(:last-child){
  border-bottom:1px solid #f1f5f9;
}
.linha-mapa:nth-child(even) .linha-dias{
  background:#fcfcfd;
}

.linha-dias{
  display:flex;
  position:relative;
  height:36px;
  min-width:max-content;
}
/* CELULAS */
.celula-dia{
  width:90px;
  height: 36px;
  min-width:90px;
  border-right:1px solid #bcd2ec;
  border-bottom:1px solid #dcdfdf;
  transition:.15s;
  cursor:pointer;
}
.celula-dia:hover{
  background:#f8fafc;
}

.bloco-reserva{
  position:absolute;
  height:32px;
  border-radius:4px;
  padding:2px 4px;
  overflow:hidden;
  color:#fff;
  z-index:10;
  cursor:pointer;
  box-shadow:0 2px 8px rgba(0,0,0,.08);
  transition:.2s;
}
.bloco-reserva:hover{
  transform:scale(1.01);
}
.bloco-reserva.reservado{
  background:#f59e0b;
  margin-left: 40px ;
}
.bloco-reserva.hospedado{
  background:#10b981;
  margin-left: 20px ;
  border: 1px solid rgb(125, 162, 211);
}
.bloco-reserva.finalizado{
  background:#6b7280;
}
.bloco-reserva .cliente{
  font-size:12px;
  font-weight:700;
  white-space:nowrap;
}
.bloco-reserva .periodo{
  font-size:10px;
  opacity:.95;
}
.linha-hoje{
  position:absolute;
  top:48px;
  bottom:0;
  width:2px;
  background:rgba(239,68,68,.45);
  z-index:15;
  pointer-events:none;
}
#mapaReservas::-webkit-scrollbar{
  height:8px;
}
#mapaReservas::-webkit-scrollbar-thumb{
  background:#d1d5db;
  border-radius:10px;
}
/* RESPONSIVO */
@media (max-width: 768px) {

  .dia-header,
  .celula-dia {
    width: 90px;
    min-width: 90px;
  }

  .bloco-reserva {
    font-size: 12px;
  }

}
.mapa-container{
  position:relative;
}
.scroll-top{
  overflow-x:auto;
  overflow-y:hidden;
  height:16px;
  margin-bottom:6px;
}

.scroll-top-content{
  height:1px;
}
.mapa-wrapper{
  position:relative;
  overflow-x:hidden;   /* remove scroll horizontal de baixo */
  overflow-y:visible;
  max-height:75vh;
}

.mapa-body{
  position:relative;
  background:#fff;
}
.coluna-quartos-header{
  position:sticky;
  left:0;
  z-index:200;
  background:#fff;
  min-width:110px;
  max-width:110px;
  flex-shrink:0;
  box-shadow:2px 0 6px rgba(0,0,0,.05);
}

/* =========================
  CHECKOUT
========================= */

#sessaoCheckout {
  padding:  10px;
  background: #f1f5ff;
  border-radius: 10px;
}
.checkout-topo {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px,1fr));
  gap: 8px;
  margin-bottom: 15px;
}
.checkout-card-info {
  background: #fff;
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
  justify-content: space-between;
  border-radius: 12px;
  padding: 5px 15px;
  box-shadow: 0 2px 12px rgba(0,0,0,0.06);
  border: 1px solid #edf0f7;
}

.checkout-info-icon {
  padding: 8px 10px;
  border-radius: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 23px;
  flex-shrink: 0;
}

.checkout-card-info:nth-child(1) .checkout-info-icon {
  background: rgba(99,102,241,.12);
  color: #4f46e5;
}
.checkout-card-info:nth-child(1)  {
  border-left: 4px solid #4f46e5;
}

.checkout-card-info:nth-child(2) .checkout-info-icon {
  background: rgba(34,197,94,.12);
  color: #16a34a;
}
.checkout-card-info:nth-child(2)  {
  border-left: 4px solid #16a34a;
}

.checkout-card-info:nth-child(3) .checkout-info-icon {
  background: rgba(249,115,22,.12);
  color: #ea580c;
}
.checkout-card-info:nth-child(3)  {
  border-left: 4px solid #ea580c;
}

.checkout-card-info:nth-child(4) .checkout-info-icon {
  background: rgba(59,130,246,.12);
  color: #2563eb;
}
.checkout-card-info:nth-child(4)  {
  border-left: 4px solid #2563eb;
}

.checkout-card-info:nth-child(5) .checkout-info-icon {
  background: rgba(168,85,247,.12);
  color: #9333ea;
}
.checkout-card-info:nth-child(5)  {
  border-left: 4px solid #9333ea;
}
.checkout-card-info span {
  display: block;
  font-size: 11px;
  font-weight: 500;
  color: #7b8199;
  margin-bottom: 10px;
  text-transform: uppercase;
}

.checkout-card-info h2  {
  margin: 0;
  font-size: 13px;
  font-weight: 700;
  color: #0f172a;
  line-height: 1;
}

.checkout-card-info small {
  display: inline-block;
  margin: 10px 0 0 0;
  color: #7b8199;
  font-size: 12px;
  font-weight: 500;
}

/* =========================================
   GRID PRINCIPAL
========================================= */
.checkout-grid {
  display: grid;
  grid-template-columns: 1.6fr 1fr;
  gap: 18px;
}

@media(max-width: 1100px) {
  .checkout-grid {
    grid-template-columns: 1fr;
  }
}


.checkout-box {
  background: #fff;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 5px 18px rgba(0, 0, 0, 0.137);
  margin-bottom: 24px;
  padding: 0 10px;
}

.checkout-box-header {
  padding: 10px 24px;
  border-bottom: 1px solid #e2e8f0;
  font-weight: 700;
  color: #263862;
  margin: 0;
}

.checkout-box .tabela-quartos thead {
  background: #f1f5f9;
}

.checkout-box .tabela-quartos th {
  padding: 8px 14px;
  border-radius: 5px;
  font-size: 13px;
  color: #64748b;
  font-weight: 700;
}



.checkout-total-verde {
  color: #16a34a;
  font-weight: 800;
}

.checkout-total-vermelho {
  color: #dc2626;
  font-weight: 800;
}


/* =========================================
   RESUMO PAGAMENTO
========================================= */
.checkout-resumo-pagamento {
  background: linear-gradient(135deg, rgba(34,197,94,.08), rgba(16,185,129,.04));
  border: 1px solid rgba(34,197,94,.2);
  border-radius: 12px;
  padding: 8px 20px;

  margin: 8px;
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
}
.checkout-resumo-pagamento i {
  font-size: 32px;
  color: #16a34a;
  background: rgba(34,197,94,.20);
  width: 50px;
  height: 45px;
}
.checkout-resumo-pagamento span {
  font-size: 13px;
  font-weight: 700;
  color: #16a34a;
  margin-bottom: 8px;
}

.checkout-resumo-pagamento h1 {
  font-size: 22px;
  margin: 2px;
  font-weight: 900;
  color: #16a34a;
  line-height: 1;
}
.checkout-resumo-pagamento small{
  font-size: 11px;
  color: #5c5c5c;
}
.checkout-resumo-pagamento p{
  margin: 0 0 5px;
  color: #28384e;
  font-size: 14px;
}

.checkout-resumo-valores {
  display: flex;
  flex-direction: column;
  margin: 10px 5px;
}

.checkout-resumo-valores > div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2px 8px; 
  border-bottom: 1px solid #e2e8f0; /* linha divisória */
}

.checkout-resumo-valores > div:last-child {
  border-bottom: none; /* remove a linha do último item, se quiser */
}

.checkout-resumo-valores span {
  font-size: 14px;
  color: #64748b;
}

.checkout-resumo-valores strong {
  font-size: 16px;
  color: #212e4b;
}


/* =========================================
   PAGAMENTOS
========================================= */

.checkout-opcoes-pagamento {
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding: 8px 20px;
  margin: 8px;
}
.form-group {
  border: 2px solid #e2e8f0;
  border-radius: 12px;
  padding:4px 10px;
  transition: .2s;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 8px 0;
}
.form-group:hover {
  border-color: #6366f1;
}

.form-group.ativo {
  border-color: #4f46e5;
  background: rgba(99,102,241,.04);
}

.form-group label {
  font-weight: 600;
  font-size: 15px;
  color: #25365e;
}

.form-group input,
.form-group select {
  width: 50%;
  height: 30px;
  border-radius: 6px;
  border: 1px solid #cbd5e1;
  padding: 0 14px;
  font-size: 15px;
  outline: none;
  cursor: pointer;
}

.form-group input:focus,
.form-group select:focus {
  border-color: #6366f1;
}




.checkout-footer {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 16px;
  flex-wrap: wrap;

}
.footer-box {
  flex: 1; /* Permite que cada box ocupe espaço proporcional */
  max-width: 250px; /* Para que não fique muito estreito em telas menores */
  display: flex;
  flex-direction: column;
  gap: 5px; /* Espaço entre título e conteúdo */
}
.checkout-box h4 {
  font-size: 13px;
  font-weight: 600;
  margin-bottom: 4px;
  color: #334155;
}
.checkout-footer .ops_footer{
  font-size: 10px;
  color: #888;
}
.checkout-footer textarea {
  width: 90%;
  max-height: 50px;
  border-radius: 16px;
  border: 1px solid #cbd5e1;
  padding: 10px;
  resize: none;
  outline: none;
  font-size: 15px;
  margin-bottom: 10px;
}
#observacoesCheckout::placeholder {
    font-size: 10px; 
  }
.checkout-footer textarea:focus {
  border-color: #6366f1;
}

.checkout-documentos {
  display: flex;
  flex-direction: column;

}
.checkout-documento-item {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 13px;
  color: #334155;
  font-size: 13px;
}

.checkout-documento-item input {
  width: 13px;
  height: 13px;
}
.checkout-acoes {
  display: flex;
  align-items: flex-start;
  gap: 10px;
  flex-wrap: wrap;
}
.checkout-acoes i{
  font-size: 20px;
  margin-right: 10px;
  font-weight: 800;
}
.btn-checkout {
  height: 55px;
  border: none;
  border-radius: 10px;
  padding: 0 28px;
  font-size: 15px;
  font-weight: 700;
  cursor: pointer;
  transition: .2s;
}
.btn-checkout-cancelar {
  background: #fff;
  border: 2px solid #cbd5e1;
  color: #334155;
}
.btn-checkout-cancelar:hover {
  background: #57657910;
}
.btn-checkout-previa {
  background: #fff;
  border: 2px solid #6366f1;
  color: #4f46e5;
}

.btn-checkout-previa:hover {
  background: #6365f12d;
}
.checkout-finalizar-box {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.checkout-finalizar-info {
  margin-top: 6px;
  font-size: 12px;
  color: #94a3b8;
  text-align: center;
}

.btn-checkout-finalizar {
  background: linear-gradient(
    135deg,
    #22c55e,
    #16a34a
  );

  color: #fff;
  width: 90%;
  max-width: 320px;
  box-shadow: 0 10px 25px rgba(34,197,94,.25);
}

.btn-checkout-finalizar:hover {
  transform: translateY(-2px);
  box-shadow: 0 14px 28px rgba(34,197,94,.35);
}

@media(max-width: 768px) {

  #modalCheckout {
    padding: 10px;
  }

  .checkout-container {
    border-radius: 18px;
    padding: 16px;
  }

  .checkout-card-title {
    font-size: 22px;
  }

  .checkout-info-valor {
    font-size: 28px;
  }

  .checkout-resumo-total {
    font-size: 36px;
  }

  .btn-checkout-finalizar {
    width: 100%;
    min-width: unset;
  }

  .checkout-footer {
    flex-direction: column;
  }

  .btn-checkout {
    width: 100%;
  }

  .checkout-table {
    min-width: 700px;
  }

  .checkout-card-body {
    overflow-x: auto;
  }
}



/* =========================
   SIMULADOR DE VENDA
========================= */
.simulador-venda {
  background: #ffffff;
  border: 1px solid #e5e7eb;
  border-radius: 18px;
  padding: 10px 24px;
  box-shadow: 0 4px 20px rgba(0,0,0,0.05);
  margin-top: 20px;
}

.simulador-venda hr {
  display: none;
}

.simulador-venda h4 {
  font-size: 20px;
  font-weight: 700;
  color: #111827;
  margin-bottom: 22px;
}

/* CAMPOS */
.simulador-conteudo {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 16px;
  margin-bottom: 28px;
}

.simulador-conteudo select,
.simulador-conteudo input {
  height: 45px;
  border: 1px solid #d1d5db;
  border-radius: 14px;
  padding: 0 16px;
  font-size: 15px;
  background: #f9fafb;
  color: #111827;
  outline: none;
  transition: all 0.25s ease;
}

.simulador-conteudo select:hover,
.simulador-conteudo input:hover {
  border-color: #9ca3af;
}

.simulador-conteudo select:focus,
.simulador-conteudo input:focus {
  border-color: #2563eb;
  background: #fff;
  box-shadow: 0 0 0 4px rgba(37, 99, 235, 0.12);
}

.simulador-conteudo input[type="number"]::-webkit-inner-spin-button,
.simulador-conteudo input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.simulador-conteudo input[type="number"] {
  appearance: textfield;
  -webkit-appearance: none;
  -moz-appearance: textfield;
}

/* RESULTADOS */
.simulador-resultados {
  background: #f9fafb;
  border-radius: 16px;
  padding: 18px;
  border: 1px solid #e5e7eb;
}

.linha-total {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 8px 0;
  border-bottom: 1px dashed #d1d5db;
  font-size: 15px;
  color: #4b5563;
}

.linha-total:last-child {
  border-bottom: none;
}

.linha-total span {
  font-weight: 500;
}

.linha-total strong {
  font-size: 16px;
  font-weight: 700;
  color: #111827;
}

/* TOTAL GERAL */
.total-geral {
  margin-top: 8px;
  padding-top: 18px;
  border-top: 2px solid #e5e7eb;
}

.total-geral span {
  font-size: 17px;
  font-weight: 700;
  color: #111827;
}

.total-geral strong{
  color: #16a34a;
  font-size: 22px;
  font-weight: 800;
}

/* RESPONSIVO */
@media (max-width: 768px) {
  .simulador-venda {
    padding: 18px;
  }

  .simulador-conteudo {
    grid-template-columns: 1fr;
  }

  .total-geral strong {
    font-size: 24px;
  }
}

.pesquisa-section{
    margin:15px 0;
}

.titulo-pesquisa{
    display:flex;
    align-items:center;
    gap:12px;
    margin-bottom:15px;
    font-size:25px;
    font-weight:700;
    color:#1f2937;
    letter-spacing:.5px;
}

.titulo-pesquisa i{
    color:#f4b400;
    font-size:28px;
}

.cards-indicadores{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
    gap:20px;
}

.card-indicador{
    display:flex;
    align-items:center;
    gap:18px;
    background:#fff;
    border-radius:18px;
    padding:22px;
    box-shadow:0 10px 25px rgba(0,0,0,.08);
    transition:.25s;
    border:1px solid #ececec;
}

.card-indicador:hover{
    transform:translateY(-4px);
    box-shadow:0 18px 35px rgba(0,0,0,.12);
}

.card-indicador .icone{
    width:62px;
    height:62px;
    border-radius:16px;
    display:flex;
    align-items:center;
    justify-content:center;
    background:linear-gradient(135deg,#FFD54F,#F9A825);
    color:#fff;
    font-size:28px;
    flex-shrink:0;
}

.card-indicador small{
    display:block;
    color:#6b7280;
    font-size:14px;
    margin-bottom:6px;
}

.card-indicador strong{
    display:block;
    font-size:34px;
    font-weight:700;
    color:#1f2937;
}